Subject: 24.3; saveplace "End of file during parsing" on require/load
From: Christopher Wellons <[email-masked]>
To: [email-masked]
Date: Sat, 07 Sep 2013 23:12:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

During loading saveplace.el, `load-save-place-alist-from-file' signals
an "End of file during parsing" error when `save-place-file' exists but
is empty. This bug cannot be triggered using -Q, so the simplest way to
demonstrate this is to set the contents of the .emacs to this:

    (setq save-place-file (make-temp-file "save-place"))
    (require 'saveplace)

And then launch Emacs normally. The save-place-file isn't normally
empty, so such an error isn't really saveplace's fault, but I think
having the error thrown during load is unfriendly.

The issue this has caused for me is autoloading some other library that
requires saveplace. The error abruptly disrupts the entire loading
process and I have to re-enter the command that triggered autoloading.